> For the complete documentation index, see [llms.txt](https://docs.enlyze.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.enlyze.com/en/connect/it-connectivity/integration-erp-mes.md).

# Integration of MES, BDE, or ERP-Systems

{% hint style="info" %}
The integration of your booking systems can currently only be performed by an ENLYZE integration expert. This service is billed based on effort using a daily rate. Please contact your ENLYZE representative for further information.
{% endhint %}

## Integration Options

### **API Access**

If your booking system provides an API that includes the [mandatory attributes](/en/connect/it-connectivity.md#mandatory-attributes), we can connect to the system through this interface.

One of our integration experts will coordinate with your designated contact person to define which data points are relevant, where they originate from, how the API can be accessed. Then the necessary ETL (Extract, Transform, Load) job to synchronize the data with the ENLYZE platform will be developed.

### **Direct Database Access**

If your booking system runs on-premise, the simplest integration method is often direct database access. For this, we use our edge device Edge Device, which connects directly to the database.

The connection can be made using an existing Edge Device device from the machine network or via a dedicated Edge Device device specifically for integrating your MES or ERP system. If a corporate firewall exists between Edge Device and the booking system, it must be configured to allow outgoing connections to the IP address and TCP port of the server. Incoming connections from the booking system to the Edge Device do not need to be permitted.

Additionally, a read-only user account is required for the relevant areas of the database server. This approach is mutually beneficial, as it ensures ENLYZE's read operations are clearly separated and traceable from other users’ operations. Only essential data is shared, and all write operations are technically blocked.

We support the following databases:

| Supported Databases  |
| -------------------- |
| Microsoft SQL Server |
| MySQL                |
| MariaDB              |
| Oracle Database      |
| PostgreSQL           |

## Supported Data Structures

To enable automatic synchronization of the production context, we support two types of structures:

### **1. Order Table**

Contains one row per production order, with all relevant information summarized:

| order\_code | product\_code | start                     | end                       | machine\_code |
| ----------- | ------------- | ------------------------- | ------------------------- | ------------- |
| AB-12345    | 25-1002       | 2022-01-11 06:27:00+00:00 | 2022-01-11 11:37:00+00:00 | M1            |
| AB-67890    | 25-1002       | 2022-01-11 12:10:00+00:00 | 2022-01-11 17:37:56+00:00 | M1            |

### **2. Booking Table** <a href="#id-2.-buchungstabelle" id="id-2.-buchungstabelle"></a>

Contains one row per booking transaction. Multiple bookings related to one order are grouped using the same `order_code`.

<table><thead><tr><th width="234.12890625">Timestamp</th><th>order_code</th><th>product_code</th><th>machine_code</th><th>event</th></tr></thead><tbody><tr><td>2022-01-11 06:27:00+00:00</td><td>AB-12345</td><td>25-1002</td><td>M1</td><td>START</td></tr><tr><td>2022-01-11 08:23:55+00:00</td><td>AB-12345</td><td>25-1002</td><td>M1</td><td>END</td></tr><tr><td>2022-01-11 12:10:00+00:00</td><td>AB-67890</td><td>25-1002</td><td>M1</td><td>START</td></tr><tr><td>2022-01-11 17:37:56+00:00</td><td>AB-67890</td><td>25-1002</td><td>M1</td><td>END</td></tr></tbody></table>

## What Information is Required for an Integration?

* [ ] IP address of the database server
* [ ] Port of the database server
* [ ] User credentials for the ENLYZE platform:
  * [ ] Username
  * [ ] Password

***

## How is the Integration Performed?

Since every system is unique, each integration is tailored to your specific configuration. If you are interested in automatic synchronization, we recommend a joint discussion with us and your system experts to determine the best approach.

Our integration experts will then work together with your team to define the detailed integration strategy. An individual ETL job is then developed to ensure a continuous data flow into the ENLYZE platform.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.enlyze.com/en/connect/it-connectivity/integration-erp-mes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
